<?php

namespace App\Models;

use App\Observers\ProductObserver;
use Illuminate\Database\Eloquent\Model;
use Astrotomic\Translatable\Translatable;
use Illuminate\Database\Eloquent\SoftDeletes;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;

class MealItem extends Model
{
    protected $guarded = ['id','created_at','updated_at','deleted_at'];


    // Relations
    // ========================= Image ===================


    public function user()
    {
    	return $this->belongsTo(User::class);
    }

    public function itemDetail()
    {
    	return $this->belongsTo(ItemDetail::class);
    }

    public function meal()
    {
    	return $this->belongsTo(Meal::class);
    }


}